<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.6.2.8
Name: SopInstance (DICOM Service Object Pair)
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000">
   <title>SopInstance (DICOM Service Object Pair)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]
Item: (SopInstance)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]
Item: (SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]"
         id="tmp-r-276235-929411-760187-771719">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="string(@classCode)='DGIMG'">(SopInstance): Der Wert von @classCode MUSS 'DGIMG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="string(@moodCode)='EVN'">(SopInstance): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'])&gt;=1 ">(SopInstance): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'])&lt;=1">(SopInstance): Element hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="count(hl7:id)&gt;=1 ">(SopInstance): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="count(hl7:id)&lt;=1">(SopInstance): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="count(hl7:code[@codeSystem='1.2.840.10008.2.6.1'])&gt;=1 and not(hl7:code[@codeSystem='1.2.840.10008.2.6.1']/@nullFlavor)">(SopInstance): Element hl7:code[@codeSystem='1.2.840.10008.2.6.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="count(hl7:code[@codeSystem='1.2.840.10008.2.6.1'])&lt;=1">(SopInstance): Element hl7:code[@codeSystem='1.2.840.10008.2.6.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="count(hl7:text)&lt;=1">(SopInstance): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(SopInstance): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:templateId
Item: (SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:templateId"
         id="tmp-r-771457-555390-951011-120919">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SopInstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.6.2.8'">(SopInstance): @root MUSS den Wert '2.16.840.1.113883.10.20.6.2.8' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:id
Item: (SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:id"
         id="tmp-r-332754-672548-735196-972550">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SopInstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="string-length(@extension)=0">(SopInstance): Attribut @extension DARF NICHT vorkommen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:code[@codeSystem='1.2.840.10008.2.6.1']
Item: (SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:code[@codeSystem='1.2.840.10008.2.6.1']"
         id="tmp-r-826764-395353-457517-609898">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SopInstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="@nullFlavor or (@codeSystem='1.2.840.10008.2.6.1' and @codeSystemName='DCMUID')">(SopInstance): Der Elementinhalt MUSS sein codeSystem '1.2.840.10008.2.6.1' codeSystemName='DCMUID'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:text
Item: (SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:text"
         id="tmp-r-332296-694787-347701-112205">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SopInstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="string(@mediaType)='application/dicom'">(SopInstance): Der Wert von @mediaType MUSS 'application/dicom' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(SopInstance): Element hl7:reference ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="count(hl7:reference)&lt;=1">(SopInstance): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:text/hl7:reference
Item: (SopInstance)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.10.20.6.2.8
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:effectiveTime
Item: (SopInstance)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.10.20.6.2.8']]/hl7:effectiveTime"
         id="tmp-r-481832-187964-290842-577377">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131003T154102/tmp-2.16.840.1.113883.10.20.6.2.8-2012-01-12T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SopInstance): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
